Subject: Re: linux-next: manual merge of the crypto tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 15 Aug 2018 13:12:46 +1000

Hi all,

On Mon, 30 Jul 2018 13:22:53 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the crypto tree got conflicts in:
> 
>   drivers/net/ethernet/freescale/fec_main.c
>   drivers/net/ethernet/freescale/fs_enet/mac-fec.c
> 
> between commits:
> 
>   16f6e9835bcd ("net: ethernet: freescale: Use generic CRC32 implementation")
>   d805f6a86829 ("net: ethernet: fs-enet: Use generic CRC32 implementation")
> 
> from the net-next tree and commit:
> 
>   5d258b48efbd ("net: ethernet: Use existing define with polynomial")
> 
> from the crypto tree.
> 
> I fixed it up (I used the net-next tree versions (but kept the rmeoval
> of the CRC32_POLY and FEC_CRC_POLY defines) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the crypto-current tree and the net-next
tree.

-- 
Cheers,
Stephen Rothwell